<template lang="pug">
b-card
	form.form( v-if='data' @submit.prevent='save' )
		.field.mb-5
			label.label.is-medium {{$t("default.get_car_variants")}}
		.field.is-grouped
			.control.is-expanded
				.field
					label.label.on-border RU
					.control
						b-taginput( v-model='data.ru.receive' )
			.control.is-expanded
				.field
					label.label.on-border EN
					.control
						b-taginput( v-model='data.en.receive' )
		hr
		.field.mb-5
			label.label.is-medium {{$t("default.return_car_variants")}}
		.field.is-grouped
			.control.is-expanded
				.field
					label.label.on-border RU
					.control
						b-taginput( v-model='data.ru.return' )
			.control.is-expanded
				.field
					label.label.on-border EN
					.control
						b-taginput( v-model='data.en.return' )
		hr
		.field
			.control
				b-button( node="button" type="primary" :loading='pending' fullwidth ) {{$t("buttons.save")}}
</template>

<script setup>
	import BTaginput from "@/components/form/Taginput.vue"

	import { onMounted, ref, watch } from 'vue'

	import { useSettingsStore } from "@/stores/settings"
	import { useToast } from "vue-toastification"
	import { useI18n } from "vue-i18n"

	const { t } = useI18n()
	const toast = useToast()
	const ss = useSettingsStore()

	const data = ref(null)
	const pending = ref(false)

	const save = async () => {
		if (pending.value) return

		pending.value = true

		await ss.editSetting("rent", Object.keys(data.value).map(prop => ({ lang: prop, field_value: JSON.stringify(data.value[prop]), field_name: "rent" })))
			.then(() => {
				toast.success(t("default.changes_saved"))
				fetch()
			})

		pending.value = false
	}

	const fetch = async () => {
		await ss.getSetting("rent")
	}

	watch(() => ss.get("rent"), () => {
		data.value = ss.get("rent") || { en: {}, ru: {} }
	})
	onMounted(fetch)
</script>

<style lang="scss" scoped>

</style>